Skip to main content
GET
/
accounts
/
{accountId}
/
wallets
/
{walletId}
Get wallet details
curl --request GET \
  --url https://api.venlyfinance.com/api/v1/accounts/{accountId}/wallets/{walletId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "chain": "BASE",
    "address": "<string>",
    "status": "ACTIVE",
    "balances": [
      {
        "token": "USDC",
        "balance": "<string>",
        "availableBalance": "<string>",
        "pendingBalance": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountId
string<uuid>
required
walletId
string<uuid>
required

Response

Wallet details

success
boolean

Indicates whether the request was successful

result
object